.CurrencyPolka {
	padding: 20px;
	font-family: AvenirNextCyr-Medium, Arial, sans-serif;
}

.CurrencyPolka__Header {
	display: flex;
	justify-content: space-between;
	align-items: center;
	margin-bottom: 20px;
}

.CurrencyPolka__Title {
	font-family: AvenirNextCyr-Bold, Arial, sans-serif;
	font-size: 18px;
	color: #3c3e43;
	margin: 0;
}

.CurrencyPolka__SideTitle {
	font-size: 14px;
	color: #777;
}

.CurrencyPolka__Grid {
	display: grid;
	grid-template-columns: repeat(4, 1fr);
	gap: 16px;
}

.CurrencyPolka__Item {
	display: flex;
	flex-direction: column;
	border: 1.5px solid #ebeaea;
	border-radius: 12px;
	padding: 16px;
	transition: all 0.2s ease;
	text-decoration: none;
	color: inherit;
	justify-content: flex-start;
	align-items: flex-start;
}

.CurrencyPolka__Item:hover {
	border: 1.5px solid #c6c6c6;
}

.CurrencyPolka__ItemHeader {
	display: flex;
	align-items: flex-start;
	gap: 12px;
	margin-bottom: 12px;
}

.CurrencyPolka__ItemImageContainer {
	min-width: 56px;
	min-height: 56px;
	width: 56px;
	height: 56px;
	flex-shrink: 0;
	display: flex;
	align-items: center;
	justify-content: center;
}

.CurrencyPolka__ItemImage {
	width: 56px !important;
	height: 56px !important;
	border-radius: 50%;
	object-fit: cover;
	flex-shrink: 0;
}

.CurrencyPolka__ItemTitles {
	display: flex;
	flex-direction: column;
}

.CurrencyPolka__ItemTitle {
	font-family: AvenirNextCyr-Bold, Arial, sans-serif;
	font-size: 16px;
	color: #3c3e43;
	margin: 0;
}

.CurrencyPolka__ItemSubtitle {
	font-size: 14px;
	color: #777;
	margin-top: 4px;
}

.CurrencyPolka__BottomBlock {
	margin-top: auto;
	display: flex;
	align-items: baseline;
	gap: 8px;
}

.CurrencyPolka__Rate {
	font-family: AvenirNextCyr-Bold, Arial, sans-serif;
	font-size: 18px;
	color: #3c3e43;
}

.CurrencyPolka__Diff {
	font-size: 14px;
}

.CurrencyPolka__Diff--green {
	color: #22c55e;
}

.CurrencyPolka__Diff--red {
	color: #ef4444;
}

/* Адаптивные стили */
@media (max-width: 1024px) {
	.CurrencyPolka__Grid {
		grid-template-columns: repeat(3, 1fr);
		gap: 10px;
	}
}

@media (max-width: 768px) {
	.CurrencyPolka {
		padding: 10px;
	}
	.CurrencyPolka__Item {
		padding: 10px;
	}
	.CurrencyPolka__Grid {
		grid-template-columns: repeat(2, 1fr);
	}

	.CurrencyPolka__Header {
		flex-direction: column;
		align-items: flex-start;
		gap: 4px;
		margin-bottom: 10px;
	}

	.CurrencyPolka__ItemHeader {
		gap: 6px;
	}

	.CurrencyPolka__Title {
		font-size: 18px;
	}
}

@media (max-width: 480px) {
	.CurrencyPolka__Grid {
		grid-template-columns: 1fr;
	}

	/* Размеры контейнера и изображения остаются неизменными */
	.CurrencyPolka__ItemImageContainer {
		min-width: 56px;
		min-height: 56px;
		width: 56px;
		height: 56px;
	}

	.CurrencyPolka__ItemTitle {
		font-size: 14px;
	}

	.CurrencyPolka__ItemSubtitle {
		font-size: 12px;
	}

	.CurrencyPolka__Rate {
		font-size: 16px;
	}
}
